# Uses of Class
org.apache.lucene.spatial3d.geom.GeoPolygonFactory.PolygonDescription

Packages that use GeoPolygonFactory.PolygonDescription
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of GeoPolygonFactory.PolygonDescription in org.apache.lucene.spatial3d.geom

  Fields in org.apache.lucene.spatial3d.geom with type parameters of type GeoPolygonFactory.PolygonDescription
  Modifier and Type
  Field
  Description
  `final List<? extends GeoPolygonFactory.PolygonDescription>`
  GeoPolygonFactory.PolygonDescription.`holes`
  The list of holes
  Methods in org.apache.lucene.spatial3d.geom with parameters of type GeoPolygonFactory.PolygonDescription
  Modifier and Type
  Method
  Description
  `static GeoPolygon`
  GeoPolygonFactory.`makeGeoPolygon(PlanetModel planetModel, GeoPolygonFactory.PolygonDescription description)`
  Create a GeoPolygon using the specified points and holes, using order to determine siding of the polygon.
  `static GeoPolygon`
  GeoPolygonFactory.`makeGeoPolygon(PlanetModel planetModel, GeoPolygonFactory.PolygonDescription description, double leniencyValue)`
  Create a GeoPolygon using the specified points and holes, using order to determine siding of the polygon.
  Method parameters in org.apache.lucene.spatial3d.geom with type arguments of type GeoPolygonFactory.PolygonDescription
  Modifier and Type
  Method
  Description
  `static GeoPolygon`
  GeoPolygonFactory.`makeLargeGeoPolygon(PlanetModel planetModel, List<GeoPolygonFactory.PolygonDescription> shapesList)`
  Create a large GeoPolygon.